-- 赛季目标
Lua_TheSeasonTargetWindow  = class("Lua_TheSeasonTargetWindow", Lua_Window);
function Lua_TheSeasonTargetWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_TheSeasonTargetWindow";
	self.skinName = "TheSeasonTargetWindow_skin";
end

function Lua_TheSeasonTargetWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.dragList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 878, 430));
	self.dragList:setLocation(0, -5, 0);
	self.dragList:setListCell(TheSeasonTargetCellItem, 115, 878, 1);

	self:showTheSeasonTargetInfo();

	-- self:addLuaEvent("UPDATA_PANEL_INFO", self, self.showTheSeasonTargetInfo);
end

function Lua_TheSeasonTargetWindow:showTheSeasonTargetInfo()
	local num = DataCenter.theSelectionWarData.own_fight_times;
	local need_num = DataCenter.theSelectionWarUtil.sports_rank_num;
	local time = DataCenter.theSelectionWarData.season_end_tick;
	if time <= 0 then
		time = 0;
	end
	local atimeStr = TimeTransform.getInstance():transSeconds8(time, LanUtil.getValue(157));
	self.showTxt.text = LanUtil.formateStr(LanUtil.getValue(124018), tostring(num), tostring(need_num));--段位分;
	self.timeTxt.text = LanUtil.formateStr(LanUtil.getValue(124033), tostring(atimeStr));

	local arr = DataCenter.theSelectionWarUtil.sportsRewardConfigInfo;
    self.dragList:setLuaArrayData(arr, true);
end

function Lua_TheSeasonTargetWindow:dispose()	
	if self.dragList ~= nil then
		self.dragList:dispose()
		self.dragList = nil;
	end
	self:superCall("dispose");
end





--------------------------------------------------





TheSeasonTargetCellItem = class("TheSeasonTargetCellItem", Lua_ListCell);
function TheSeasonTargetCellItem:ctor(p)
	self:superCall("ctor", p, "TheSeasonTargetItem_skin");
end

function TheSeasonTargetCellItem:buildShowItem()
	self:superCall("buildShowItem");

	self.rItem = Lua_RewardItem.new(self.content);
	self.rItem:setLayout(90, 90, 10);
	self.rItem:setMaxShow(10);
	self.rItem:setDepth(10);
	self.rItem:setClickWin(true);
	self.rItem:setMouseEnble(true);
	-- self.rItem:setItemScale(1, 1);
	self.rItem:setLocation(-148, 5, 0);
end

function TheSeasonTargetCellItem:setData(data)
	self._data = data;
	if data == nil then
		return;
	end

	self.danTxt.text = data.name;
	self.danTxt.effectColorStr = Lua_ColorDefine.transColor(data.eff, 0.8);

	self.rankBg:setAltas(data.atlas, data.atlas_name);
	self.rItem:setRewardByRewardList(Array(data.reward_id));
end

function TheSeasonTargetCellItem:dispose()
	if self.rItem ~= nil then
		self.rItem:dispose();
		self.rItem = nil;
	end
	self._data = nil;

	self:superCall("dispose");
end