-- 天选排名
Lua_TheSelectionWarRankWindow  = class("Lua_TheSelectionWarRankWindow", Lua_SecondSizeWindow);
function Lua_TheSelectionWarRankWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_TheSelectionWarRankWindow";
	self.skinName = "TheSelectionWarRankWindow_skin";
	self.titleText = LanUtil.getValue(124011);
end

function Lua_TheSelectionWarRankWindow:buildShowItem()
	self:superCall("buildShowItem");

	local arr = DataCenter.theSelectionWarUtil.getRankListInfo;
	self.btnList = Lua_DragSubButtonList.new(self.content, 1, Vector4(0, 0, 212, 455), Vector3(212, 65, 0));
	self.btnList:setDepth(5);
	self.btnList:setMainBtnStyle("common_atlas_1", "ui_common_btn_p2", "ui_common_btn_p1", "FFFFFF", "FFFFFF", 30);
	self.btnList:setLocation(-450, 0, 0);
	self.btnList:setData(arr, self, self.onSubClick, 0, 195); -- (455 - 65) / 2
	self.btnList:setMainSlected(1);

	self.dragList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 878, 400));
	self.dragList:setLocation(114, -25, 0);
	self.dragList:setListCell(Lua_TheSelectionWarRankItem, 72, 878, 1);

	self:addLuaEvent("UPDATA_RANK_INFO", self, self.updatePanelInfo);
end

function Lua_TheSelectionWarRankWindow:onSubClick(data)
	Lua_ProxyManager.getProxy("Lua_TheSelectionWarProxy"):sGetRankInfo(data.class_id,0);
	self:updateWindowDepth();
end

function Lua_TheSelectionWarRankWindow:updatePanelInfo()
	local theSelectionWarData = DataCenter.theSelectionWarData;
	local danName = DataCenter.theSelectionWarUtil:getPalyDan(theSelectionWarData.grade_id);
	self.danTxt.text = LanUtil.formateStr(LanUtil.getValue(124012), danName, tostring(theSelectionWarData.rank))
	self.gradeTxt.text = LanUtil.formateStr(LanUtil.getValue(124013), tostring(theSelectionWarData.score));
	self.rankTxt.text = LanUtil.formateStr(LanUtil.getValue(124014), tostring(theSelectionWarData.total_rank));

	local arr = theSelectionWarData.rank_list;
	self.dragList:setLuaArrayData(arr, false);

	self.tipsIcon:setEnable(arr:getSize() <= 0);
end

function Lua_TheSelectionWarRankWindow:dispose()
	if self.btnList ~= nil then
		self.btnList:dispose()
		self.btnList = nil;
	end
	if self.dragList ~= nil then
		self.dragList:dispose()
		self.dragList = nil;
	end

	self:superCall("dispose");
end





--------------------------------------------------





Lua_TheSelectionWarRankItem = class("Lua_TheSelectionWarRankItem", Lua_ListCell);
function Lua_TheSelectionWarRankItem:ctor(p)
	self:superCall("ctor", p, "TheSelectionWarRankItem_skin");
end

function Lua_TheSelectionWarRankItem:setData(data)
	self._data = data;
	if data == nil then
		return;
	end

	self.nameTxt.text = data.role_name;
	self.danTxt.text = DataCenter.theSelectionWarUtil:getPalyDan(data.grade_id);
	self.warTxt.text = data.fight_force;
	self.serverTxt.text = data.server_name;
	self.gradeTxt.text = data.score;

	self.rankIcon:setEnable(data.rank <= 3);
	if data.rank <= 3 then
		self.rankTxt.text = "";
		self.rankIcon:setAltas("leaderBoard_atlas", "ui_paihang_widget_no" .. data.rank);
	else
		self.rankTxt.text = data.rank;
	end
end

function Lua_TheSelectionWarRankItem:dispose()
	self:superCall("dispose");
end