-- 天选之战入口
Lua_TheSelectionWarWindow = class("Lua_TheSelectionWarWindow", Lua_SecondSizeWindow);
function Lua_TheSelectionWarWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_TheSelectionWarWindow";
	self.skinName = "TheSelectionWarWindow_skin";
	self.titleText = LanUtil.getValue(124000);
end
	
function Lua_TheSelectionWarWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.descBg.imgTypeNum = 4;
	self.descBg.widget.border = Vector4(0, 10, 0, 10);

	self.backTime = 0;
	self.isStateTime = true;
	self.openTime.text = LanUtil.getValue(124031);

	self.cancelButton:setEnable(false);
	self.enemyDesObj:SetActive(false);
	self.objMatching:SetActive(false);

	self.rankBtn:addClickFuntion(self, self.onSelectionWarRankClick); -- 天选排名
	self.targetBtn:addClickFuntion(self, self.onSeasonTargetClick); -- 赛季目标
	self.honorRewardBtn:addClickFuntion(self, self.onHonorRewardClick); -- 荣誉奖励
	self.danRewardBtn:addClickFuntion(self, self.onDanRewardClick); -- 段位奖励

	self.blackBg:addClickFuntion(self, self.onBlackBgClick); -- 背景底点击无效
	self.startButton:addClickFuntion(self, self.onStartButtonClick); -- 开始匹配
	self.cancelButton:addClickFuntion(self, self.onCancelButtonClick); -- 取消匹配
	self.wenhao:addClickFuntion(self, self.onHelpClick); -- 问号
	self.addNum:addClickFuntion(self, self.onAddChallengeClick); -- 增加次数

	self.fightNum = Lua_NumberImage.new(self.content);
	self.fightNum.prefix = "ui_chongzhi_vip_";
	self.fightNum.pivot = 2;
	self.fightNum.numWidth = 24;
	self.fightNum:setDepth(20);
	self.fightNum:setLocation(18, -5, 0);

	local box_index = DataCenter.theSelectionWarUtil.box_index;
	local maxNum = box_index[#box_index];
	self.effectBar:setValue(0);
	self.effectBar:setMaxValue(maxNum);
	self.totalNum.text = LanUtil.formateStr(LanUtil.getValue(122823), Lua_CommonUtil.transChineseNumber(maxNum));

	local posX;
	local box;
	self.boxArr = Array();
	for i = 1, #box_index do
		posX = -20 + self.effectBar.mainContent.transform.localPosition.x - self.effectBar.width / 2 +
		(box_index[i] / maxNum) * self.effectBar.width;

		box = Lua_TheSelectionWarBoxItem.new(self.content);
		box.index = tonumber(box_index[i]);
		box:setData(tonumber(box_index[i]));
		box:setLocation(posX, -155);
		self.boxArr:add(box);
	end

	self:addLuaEvent("UPDATA_PANEL_INFO", self, self.openTheSelectionWarInfo); -- 打开天选之战界面
	self:addLuaEvent("UPDATA_EXPLOIT_REWARD_INFO", self, self.updateExploiRewardRod); -- 更新红点
	Lua_ProxyManager.getProxy("Lua_TheSelectionWarProxy"):sOpenTheSelectionWarPanel();
	Lua_ProxyManager.getProxy("Lua_TheSelectionWarProxy"):sExploitRewardList();
end

function Lua_TheSelectionWarWindow:openTheSelectionWarInfo()
	local theSelectionWarData = DataCenter.theSelectionWarData;
	local theSelectionWarUtil = DataCenter.theSelectionWarUtil;

	local danName = theSelectionWarUtil:getPalyDan(theSelectionWarData.own_grade_id);
	self.ownNameLab.text = theSelectionWarData.own_role_name;
	self.ownIntegralLab.text = LanUtil.formateStr(LanUtil.getValue(124001), danName, tostring(theSelectionWarData.own_score));
	self.ownGranuleLab.text = theSelectionWarData.own_server_name; -- 区
	self.ownLvlLab.text = LanUtil.formateStr(LanUtil.getValue(124003), tostring(theSelectionWarData.own_level));
	self.ownSessionLab.text = LanUtil.formateStr(LanUtil.getValue(124004), tostring(theSelectionWarData.own_fight_times));
	self.ownWinLab.text = LanUtil.formateStr(LanUtil.getValue(124005), tostring(theSelectionWarData.own_win_rate));
	self.ownWinningLab.text = LanUtil.formateStr(LanUtil.getValue(124006), tostring(theSelectionWarData.own_win_streak));
	
	self.joinLab.text = LanUtil.formateStr(LanUtil.getValue(124008), tostring(theSelectionWarData.daily_fight), tostring(theSelectionWarUtil.max_box_index));

	if isHeadReplaceOpen() then
		self:updateOwnHead();
	else
		if theSelectionWarData.own_career > 0 then
			self.ownHeadIcon:setUrl(Lua_ThingDefine.getHeadIconUrlByCareer(theSelectionWarData.own_career, theSelectionWarData.own_profession));--自己头像
			self.ownHeadIcon:SetDimensions(100, 100);
			self.ownHeadIcon:setLocation(-293, 171);
		end
	end

	if theSelectionWarData.is_reward == 0 then -- 没奖励
		self.honorBg:setEnable(false);
		self.honorLab:setEnable(false);
		self:showRedDot(false);
	else
		self.honorBg:setEnable(true);
		self.honorLab:setEnable(true);
		self.honorLab.text = theSelectionWarUtil:getHonorReward(theSelectionWarData.reward_id); -- 荣誉
		self:showRedDot(true);
	end

	self.effectBar:setValue(theSelectionWarData.daily_fight);
	for i = 1, self.boxArr:getSize() do
		self.boxArr[i]:checkLingquState();
	end

	self:onChangeMatchOrCancle();
	self:updateTimes();
end

-- 匹配状态
function Lua_TheSelectionWarWindow:onChangeMatchOrCancle()
	local theSelectionWarData = DataCenter.theSelectionWarData;
	local theSelectionWarUtil = DataCenter.theSelectionWarUtil;
	self.challengeType = theSelectionWarData.is_match;
	if theSelectionWarData.is_match == 1 then -- 开始匹配
		self.objMatching:SetActive(true);
		self.intoObj:SetActive(false);
		self.matchCompleteObj:SetActive(false);
		self.matchObj:SetActive(true);

		self.startButton:setEnable(false);
		self.cancelButton:setEnable(true);

		if self.isStateTime == true then
			self.isStateTime = false;
			if self.bRegisterTimer ~= true then
				self.bRegisterTimer = true;
				Lua_CommonUtil.addTimer("updateOnStartButtonTime", 1, self, self.updateOnStartButtonTime);
			end
			Lua_CommonUtil.removeTimer(self, self.updateGoingToSenceTime);
			self:updateOnStartButtonTime();
		end
	elseif theSelectionWarData.is_match == 0 then -- 取消匹配
		self.objMatching:SetActive(false);
		self.startButton:setEnable(true);
		self.cancelButton:setEnable(false);

		if self.bRegisterTimer == true then
			self.bRegisterTimer = false;
			Lua_CommonUtil.removeTimer(self, self.updateOnStartButtonTime);
		end
		Lua_CommonUtil.removeTimer(self, self.updateGoingToSenceTime);
	elseif theSelectionWarData.is_match == 2 then -- 匹配成功
		GlobalVar.hooking = true;
		DataCenter.hook:stop(false);

		self.enemyDesObj:SetActive(true);
		self.objMatching:SetActive(true);
		self.intoObj:SetActive(false);
		self.matchCompleteObj:SetActive(true);
		self.matchObj:SetActive(false);
		self.startButton:setEnable(false);
		self.cancelButton:setEnable(false);

		DataCenter.theSelectionWarData.isOffTask = true;
		if self.bRegisterTimer == true then
			self.bRegisterTimer = false;
			Lua_CommonUtil.removeTimer(self, self.updateOnStartButtonTime);
		end

		local danName = DataCenter.theSelectionWarUtil:getPalyDan(theSelectionWarData.match_grade_id);
		self.enemyNameLab.text = theSelectionWarData.match_role_name;
		self.enemyIntegralLab.text = LanUtil.formateStr(LanUtil.getValue(124001), danName, tostring(theSelectionWarData.match_score));
		self.enemyGranuleLab.text = theSelectionWarData.match_server_name;
		self.enemyLvlLab.text = LanUtil.formateStr(LanUtil.getValue(124003), tostring(theSelectionWarData.match_level));
		self.enemySessionLab.text = LanUtil.formateStr(LanUtil.getValue(124004), tostring(theSelectionWarData.match_fight_times));
		self.enemyWinLab.text = LanUtil.formateStr(LanUtil.getValue(124005), tostring(theSelectionWarData.match_win_rate));
		self.enemyWinningLab.text = LanUtil.formateStr(LanUtil.getValue(124006), tostring(theSelectionWarData.match_win_streak));

		if isHeadReplaceOpen() then
			self:updateMatchHead();
		else
			if theSelectionWarData.match_career > 0 then
				self.enemyHeadIcon:setUrl(Lua_ThingDefine.getHeadIconUrlByCareer(theSelectionWarData.match_career, theSelectionWarData.match_profession));
				self.enemyHeadIcon:SetDimensions(100, 100);
				self.enemyHeadIcon:setLocation(311, 171);
			end
		end

		self.eTimeNum = DataCenter.theSelectionWarData.leftTime;
		Lua_CommonUtil.addTimer("updateGoingToSenceTime", 1, self, self.updateGoingToSenceTime);
	end
end

function Lua_TheSelectionWarWindow:updateExploiRewardRod()
	self.honorRod:setEnable(DataCenter.theSelectionWarData.isShowExploiRewardRod);
end

function Lua_TheSelectionWarWindow:updateOnStartButtonTime() -- 匹配倒计时
	self.timeLab.text = self.backTime .. "s";
	self.backTime = self.backTime + 1;
end

function Lua_TheSelectionWarWindow:updateGoingToSenceTime() -- 进入场景倒计时
	self.matchCompleteObj:SetActive(false);
	self.intoObj:SetActive(true);
	self.eTimeNum = self.eTimeNum - 1;
	if self.eTimeNum > 0 then
		self.fightNum.num = self.eTimeNum;
	else
		self.fightNum.num = 0;
		Lua_CommonUtil.removeTimer(self, self.onTimeStrTimer);
		self:hide();
	end
end

function Lua_TheSelectionWarWindow:onStartButtonClick() -- 开始匹配
	local theSelectionWarData = DataCenter.theSelectionWarData;
	if theSelectionWarData.fight_times <= 0 then
		OperateAlert.show(LanUtil.getValue(124036));
		return;
	end
	DataCenter.theSelectionWarData.isStopsHook = true;

	if self.isStateTime == false then
		self.isStateTime = true;
		self.backTime = 0;
	end
	Lua_ProxyManager.getProxy("Lua_TheSelectionWarProxy"):sBeginToMatch();
end

function Lua_TheSelectionWarWindow:onCancelButtonClick() -- 取消匹配
	DataCenter.theSelectionWarData.isStopsHook = false;
	Lua_ProxyManager.getProxy("Lua_TheSelectionWarProxy"):sCancelToMatch();
end

function Lua_TheSelectionWarWindow:onAddChallengeClick()
	Lua_WindowUtil.openWin("Lua_BuyTimesWindow", WinParam.ACTION_OPEN, {owner = self, costType = Lua_MoneyData.BIND_GOLD,
		useGold = 1, callback = self.onBuyTimes, configSign = "theaven_vip_buy_times",
		residueTimes = DataCenter.theSelectionWarData.left_buy_times, costList = DataCenter.theSelectionWarUtil:gold_times()});
end

-- 更新剩余次数
function Lua_TheSelectionWarWindow:updateTimes()
	local theSelectionWarData = DataCenter.theSelectionWarData;
	local times = theSelectionWarData.fight_times;
	if times == nil or times < 0 then
		times = 0;
	end

	local max_free_times = theSelectionWarData.max_times;
	local str = "";
	if times > 0 then
		str = "[00E125]"..tostring(times).."[-]";
	else
		str = "["..Lua_ColorDefine.RED_STR.."]"..tostring(times).."[-]";
	end
	self.remainLab.text = LanUtil.formateStr(LanUtil.getValue(124009), tostring(str), tostring(max_free_times));
end

function Lua_TheSelectionWarWindow:onBuyTimes(val)
	Lua_ProxyManager.getProxy("Lua_TheSelectionWarProxy"):sGetBuyTimes(tonumber(val));
	OperateAlert.show(LanUtil.getValue(124037));
end

-- 天选排名
function Lua_TheSelectionWarWindow:onSelectionWarRankClick()
	Lua_WindowUtil.openWin("Lua_TheSelectionWarRankWindow", WinParam.ACTION_AUTO);
end

-- 赛季目标
function Lua_TheSelectionWarWindow:onSeasonTargetClick()
	Lua_WindowUtil.openWin("Lua_TheSeasonTargetWindow", WinParam.ACTION_AUTO);
end

-- 功勋奖励
function Lua_TheSelectionWarWindow:onHonorRewardClick()
	Lua_WindowUtil.openWin("Lua_TheExploiRewardWindow", WinParam.ACTION_AUTO);
end

-- 段位奖励
function Lua_TheSelectionWarWindow:onDanRewardClick()
	local theSelectionWarData = DataCenter.theSelectionWarData;
	if theSelectionWarData.is_reward == 0 then -- 没奖励
		Lua_WindowUtil.openWin("Lua_TheDanRewardWindow", WinParam.ACTION_AUTO);
	else
		Lua_ProxyManager.getProxy("Lua_TheSelectionWarProxy"):sGetEveryDayReward();
		OperateAlert.show(LanUtil.getValue(124038));
	end
end

function Lua_TheSelectionWarWindow:onHelpClick()
	Lua_WindowUtil.openWin("Lua_TheGameRulesWindow", WinParam.ACTION_AUTO, LanUtil.getValue(122417));
end

function Lua_TheSelectionWarWindow:onBlackBgClick(go)
end

function Lua_TheSelectionWarWindow:showRedDot(val)
	if val then
		if self._redDotIcon == nil then
			self._redDotIcon = UICreate.createUIAtlasImage(self.content, "common_atlas_1", "ui_common_hongdian", -480, -35, 0, 0);
			self._redDotIcon:setDepth(25);
			self._redDotIcon.name = "redDot";
		end
		self._redDotIcon:setEnable(true);
	else
		if self._redDotIcon ~= nil then
			self._redDotIcon:setEnable(false);
		end
	end
end

function Lua_TheSelectionWarWindow:updateOwnHead()
	local theSelectionWarData = DataCenter.theSelectionWarData;
	local role_head = theSelectionWarData.own_role_head_name; 
	if role_head == nil or role_head == "" then
		role_head = DataCenter.roleData.getDressHead;
	end

	local isDefault = DataCenter.roleData:isDefaultHead(theSelectionWarData.own_career, role_head);
	if isDefault == true then
		self.ownHeadIcon:setUrl(Lua_ThingDefine.getHeadIconUrlByCustom(role_head, 0));
	else
		self.ownHeadIcon:setUrl(role_head, 99, true);
		-- self.ownHeadIcon:setRoundSize(1, 0.5, 0.5, 0.5); -- 菱形
		self.ownHeadIcon:setRoundSize(0, 0.5, 0.5, 0.25); -- 圆形
	end
	self.ownHeadIcon:SetDimensions(100, 100);
	self.ownHeadIcon:setLocation(-293, 171);
end


function Lua_TheSelectionWarWindow:updateMatchHead()
	local theSelectionWarData = DataCenter.theSelectionWarData;
	local role_head = theSelectionWarData.match_role_head_name;
	if role_head ~= nil and role_head ~= "" then
		local isDefault = DataCenter.roleData:isDefaultHead(theSelectionWarData.match_career, role_head);
		if isDefault == true then
			self.enemyHeadIcon:setUrl(Lua_ThingDefine.getHeadIconUrlByCustom(role_head, 0));
		else
			self.enemyHeadIcon:setDepth(3);
			self.enemyHeadIcon:setUrl(role_head, 99, true);
			-- self.enemyHeadIcon:setRoundSize(1, 0.5, 0.5, 0.5); -- 菱形
			self.enemyHeadIcon:setRoundSize(0, 0.5, 0.5, 0.25); -- 圆形
		end
		self.enemyHeadIcon:SetDimensions(100, 100);
		self.enemyHeadIcon:setLocation(311, 171);
	end
end

function Lua_TheSelectionWarWindow:dispose()
	if self._redDotIcon ~= nil then
		self._redDotIcon:dispose();
		self._redDotIcon = nil;
	end
	if self.bRegisterTimer == true then
		self.bRegisterTimer = false;
		Lua_CommonUtil.removeTimer(self, self.updateOnStartButtonTime);
	end
	if GlobalVar.hooking == true and self.challengeType == 2 then
		GlobalVar.hooking = false;
	end
	if self.challengeType == 1 then
		Lua_ProxyManager.getProxy("Lua_TheSelectionWarProxy"):sCancelToMatch();
	end
	DataCenter.theSelectionWarData.isStopsHook = false;
	Lua_CommonUtil.removeTimer(self, self.updateGoingToSenceTime);

	self:superCall("dispose");
end





--------------------------------------------------





Lua_TheSelectionWarBoxItem = class("Lua_TheSelectionWarBoxItem", Lua_DisplayObject);
function Lua_TheSelectionWarBoxItem:ctor(p)
	self:superCall("ctor", p, "TheSelectionWarBoxItem_skin");
end

function Lua_TheSelectionWarBoxItem:buildShowItem()
	self:superCall("buildShowItem");

	self.box:addClickFuntion(self, self.onBoxClick);
end

function Lua_TheSelectionWarBoxItem:setData(data)
	self._data = data;
	self.txt.text = LanUtil.formateStr(LanUtil.getValue(122804), tostring(data));

	self:checkLingquState();
end

function Lua_TheSelectionWarBoxItem:checkLingquState()
	local rewardsState = DataCenter.theSelectionWarData.fight_drawed; -- 已领取奖励的场次, 0 未达成，1可领取，2 已领取
	if rewardsState ~= nil then
		for i, v in ipairs(rewardsState) do
			if v.obj_id == self._data then
				self:showRedDot(v.obj_value == 1);
				self.lingquSign:SetActive(v.obj_value == 2);
				return;
			end
		end
	end
	self:showRedDot(false);
	self.lingquSign:SetActive(false);
end

function Lua_TheSelectionWarBoxItem:showRedDot(val)
	if val then
		if self._redDot == nil then
			self._redDot = UICreate.createUIAtlasImage(self.content, "common_atlas_1", "ui_common_hongdian", 21, 21, 0, 0);
			self._redDot:setDepth(10);
		end
		self._redDot:setEnable(true);
	else
		if self._redDot ~= nil then
			self._redDot:setEnable(false);
		end
	end
end

function Lua_TheSelectionWarBoxItem:onBoxClick(go)
	if DataCenter.theSelectionWarData.daily_fight < self._data then
		OperateAlert.show(LanUtil.getValue(122807));

		local config = DataCenter.theSelectionWarUtil:getFightRewardId(DataCenter.theSelectionWarData.season, self._data);
		Lua_WindowUtil.openWin("Lua_ShowRewardWindow", WinParam.ACTION_OPEN, {title = config.name, rewardId = config.reward_id});
		return;
	end

	local rewardsState = DataCenter.theSelectionWarData.fight_drawed;
	if rewardsState ~= nil then
		for i, v in ipairs(rewardsState) do
			if v.obj_id == self._data then
				if v.obj_value == 2 then
					OperateAlert.show(LanUtil.getValue(122806));
				elseif v.obj_value == 1 then
					local bagData = DataCenter.packData:getBagType(Lua_PackData.BAG_PACK);
					if bagData:getLeftSize() <= 0 and Lua_WindowUtil.isWindowShowing("Lua_TipsWindow") == false and Lua_WindowUtil.isWindowShowing("Lua_PackWindow") == false then
						DataCenter.packData:showFullBagTip(Lua_PackData.BAG_PACK);
					else
						Lua_ProxyManager.getProxy("Lua_TheSelectionWarProxy"):sgetBoxReward(self._data);
					end
				elseif v.obj_value == 0 then
					OperateAlert.show(LanUtil.getValue(122807));
				end

				if v.obj_value ~= 1 then
					local config = DataCenter.theSelectionWarUtil:getFightRewardId(DataCenter.theSelectionWarData.season, self._data);
					Lua_WindowUtil.openWin("Lua_ShowRewardWindow", WinParam.ACTION_OPEN, {title = config.name, rewardId = config.reward_id});
				end
				return;
			end
		end
	end
end

function Lua_TheSelectionWarBoxItem:dispose()
	if self._redDot ~= nil then
		self._redDot:dispose();
		self._redDot = nil;
	end
	self._data = nil;

	self:superCall("dispose");
end